Name:           perl-DBIx-Connector
Version:        0.53
Release:        2%{?dist}
Summary:        Fast, safe DBI connection and transaction management
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DBIx-Connector/

Source0:        http://search.cpan.org/CPAN/authors/id/D/DW/DWHEELER/DBIx-Connector-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  perl
BuildRequires:  perl(Module::Build)

# Run-time:
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(DBI) >= 1.605
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)

# Testing
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::MockModule)
BuildRequires:  perl(Test::Pod) >= 1.41
BuildRequires:  perl(Test::Pod::Coverage) >= 1.06
BuildRequires:  perl(warnings)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Carp)

%description
DBIx::Connector provides a simple interface for fast and safe DBI
connection and transaction management. It allows to keep a database
handle to maintain a connection in order to minimize overhead without
having to worry about dropped or corrupted connections.

Borrowing an interface from DBIx::Class, DBIx::Connector also offers
an API that handles the scoping of database transactions. In addition,
it offers an API for savepoints if a database supports them.


%prep
%setup -q -n DBIx-Connector-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0

%{_fixperms} $RPM_BUILD_ROOT/*

%check
# skipped 't/svp_live.t' since requires a real db
./Build test


%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Sun Sep 14 2014 Denis Fateyev <denis@fateyev.com> - 0.53-2
- Add BuildRequires, spec cleanup

* Fri Sep 12 2014 Denis Fateyev <denis@fateyev.com> - 0.53-1
- Initial release
